/*
 * lilJudd
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.data.api.entry.schedule

import io.ktor.http.*

data class ShiftData(
    val startTime: String,
    val endTime: String,
    val __splatoon3ink_king_salmonid_guess: String,
    val __typename: String,
    val stageName: String,
    val image: Url,
    val weapon1: WeaponData,
    val weapon2: WeaponData,
    val weapon3: WeaponData,
    val weapon4: WeaponData,
)
