# li'l Judd version 2

"Oh boy, here we go again" ~ me

A Discord Bot for Splatoon Teams.

More information can be found on the [Homepage](https://liljudd.ink).

## Contributors

[![Developer](https://img.shields.io/badge/moonleay-Developer-red)](https://gitlab.com/moonleay)

## Known issues

##### If you encounter any bugs, message me on Discord (@moonleay) or send me a mail (issues@moonleay.net). You can also open a ticket [on the support server](https://discord.gg/HTZRktfH4A).

## Commands & Features

- Commands
    - version -- Show the versions of the bot and the most important dependencies
    - feature -- Manage bot features
  - match -- Create a new match
  - updateroles -- Update the roles of all users
  - sendplanner -- Send the planner message
- Features
    - Time Planner -- Make the bot send messages and reactions into a selected channel in order to make planning easier
    - Availability Manager -- Make the bot assign users roles every day, so it is possible to notify available people
  - Match Planner -- Make a match, for which players can sign up and the bot will assign teams and roles to them

## (Maybe) upcoming features

##### See the [todo list](https://todo.moonleay.net/share/OmisuzgPDdsrCAXKjGrTfYzWwqNDNclOMGJWeMsi/auth?view=kanban) for more information.

## How to self-host (using the Docker container)

1. Pull the container from [Docker Hub](https://hub.docker.com/repository/docker/limiteddev/liljudd/general)
2. Map /data/ to a folder on disk
3. Run the Bot once
4. follow step 4 and 5 from the JAR section
5. Run the Bot again
6. Profit.

## How to self-host (using the JAR)

1. Download the latest release from the Releases page.
2. Place it anywhere you want.
3. Run the following command:
   > java -jar lilJudd.jar
4. The bot should start and create a config file named "credentials.nils" in a folder called "data"
5. Open it and put in your credentials.
    1. token: your Discord bot token
    2. dbDomain: the domain and port of your postgresql database (e.g.: 192.168.178.1:5432)
   3. dbName: the name of the database
    4. dbUser: the username of the database
   5. dbPassword: the password to the db user
6. Rerun the command
   > java -jar lilJudd.jar
7. The bot should now be up and running.

## How to set up workspace

Install IntellJ and import the project from git.
Done.

## Docker commands 4 me

- docker build -t limiteddev/liljudd:x.x.x .
- docker push limiteddev/liljudd:x.x.x
